Package org.apache.synapse.securevault.definition

## Class KeyStoreInformationFactory

- java.lang.Object
- - org.apache.synapse.securevault.definition.KeyStoreInformationFactory

-     public class KeyStoreInformationFactory
      extends Object

  Factory for creating KeyStoreInformation based on properties

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KeyStoreInformationFactory()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static IdentityKeyStoreInformation` | `createIdentityKeyStoreInformation​(Properties properties)` | Creates a KeyStoreInformation using synapse properties Uses KeyStore configuration properties
    `static TrustKeyStoreInformation` | `createTrustKeyStoreInformation​(Properties properties)` | Creates a TrustKeyStoreInformation using synapse properties Uses TrustStore Configuration properties

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyStoreInformationFactory

          public KeyStoreInformationFactory()

  - ### Method Detail

    - #### createIdentityKeyStoreInformation

          public static IdentityKeyStoreInformation createIdentityKeyStoreInformation​(Properties properties)

      Creates a KeyStoreInformation using synapse properties Uses KeyStore configuration properties
      Parameters:
        `properties` - Synapse Properties
      Returns:
        IdentityKeyStoreInformation instance

    - #### createTrustKeyStoreInformation

          public static TrustKeyStoreInformation createTrustKeyStoreInformation​(Properties properties)

      Creates a TrustKeyStoreInformation using synapse properties Uses TrustStore Configuration properties
      Parameters:
        `properties` - Synapse Properties
      Returns:
        TrustKeyStoreInformation instance